REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single ProposalProduct record by its Id.
{ "ProposalId": 123, "ProposalCoworkerId": "<string>", "ProposalCoworkerEmail": "<string>", "ProposalCoworkerFullName": "<string>", "ProductId": 123, "ProductName": "<string>", "ProductPrice": 123, "ProductApplyProRating": "<string>", "ProductBusinessCurrencyCode": "<string>", "Quantity": 123, "Price": 123, "IsDeposit": true, "IsContractProduct": true, "RegularCharge": true, "RepeatCycle": 123, "InvoiceOn": "<string>", "RepeatFrom": "<string>", "RepeatUntil": "<string>", "RepeatUnit": 123, "ApplyProRating": true, "Notes": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
ProposalProduct-Read
curl -X GET \ "https://spaces.nexudus.com/api/billing/proposalproducts/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "ProposalId": 0, "ProposalCoworkerId": null, "ProposalCoworkerEmail": null, "ProposalCoworkerFullName": null, "ProductId": 0, "ProductName": null, "ProductPrice": 0, "ProductApplyProRating": null, "ProductBusinessCurrencyCode": null, "Quantity": 0, "Price": null, "IsDeposit": false, "IsContractProduct": false, "RegularCharge": false, "RepeatCycle": 0, "InvoiceOn": null, "RepeatFrom": null, "RepeatUntil": null, "RepeatUnit": null, "ApplyProRating": false, "Notes": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "ProposalProduct Example", "LocalizationDetails": null, "CustomFields": null }